
#ifndef CONSUMERCONFIGURATOR_H_
#define CONSUMERCONFIGURATOR_H_

#include <Base/BaseConfigurator.h>


class ConsumerConfigurator : public BaseConfigurator{

public:
	ConsumerConfigurator(int argc, char **argv);
	ConsumerConfigurator();

	void setKafkaPort(std::string val){this->params["kafkaPort"] = val;}
	void setKafkaIP(std::string val){this->params["kafkaIp"] = val;}
	void setTopic(std::string val){this->params["topic"] = val;}
	void setGroupID(std::string val){this->params["groupID"] = val;}

	std::string getKafkaPort(){return this->params["kafkaPort"];}
	std::string getKafkaIP(){return this->params["kafkaIp"];}
	std::string getKafkaTopic(){return this->params["topic"];}
	std::string getGroupID(){return this->params["groupID"];}


	void printConfiguration(){
		std::string confStr = "Consumer Configuration:\n" + this->toString();
		std::cout << confStr << std::endl;
	}

};

#endif /* CONSUMERCONFIGURATOR_H_ */
